import React, { useState, useEffect } from 'react';
import './style.css';

function Index(props) {
  const [loginText, setLoginText] = useState('载入中...');
  useEffect(() => {
    const { search } = window.location;
    const paramsString = search.substring(1);
    const searchParams = new URLSearchParams(paramsString);
    const code = searchParams.get('code');
    console.log(code);
    if (code) {
      setLoginText('微信授权中...');
      const { history } = props;
      history.replace('/login');
    } else {
      console.log('跳转微信授权接口');
      const { history } = props;
      history.replace('/login');
      // const { APP_ID } = config;
      // console.log(APP_ID);
      // let rUrl = encodeURIComponent(window.location.href.split('#')[0]);
      // window.location.href = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${APP_ID}&redirect_uri=${rUrl}&response_type=code&scope=snsapi_userinfo&state=STATE#wechat_redirect`;
    }
  }, []);
  return <div className='LoginIndex'>{loginText}</div>;
}

export default Index;
